curl --request GET \
--url https://api.byteful.com/1.0/public/user/asn/search \
--header 'X-API-Private-Key: <api-key>' \
--header 'X-API-Public-Key: <api-key>'import requests
url = "https://api.byteful.com/1.0/public/user/asn/search"
headers = {
"X-API-Private-Key": "<api-key>",
"X-API-Public-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Private-Key': '<api-key>', 'X-API-Public-Key': '<api-key>'}
};
fetch('https://api.byteful.com/1.0/public/user/asn/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"asn_id": 13335,
"asn_ip_address_count": 1791744,
"asn_name": "Cloudflare, Inc.",
"asn_node_count": 1234,
"asn_rir": "apnic",
"asn_type": "hosting",
"country_id": "us"
}
],
"item_count": 1,
"message": "Asn search successful.",
"page": 1,
"per_page": 10,
"total_count": 1
}Search ASN
Search Autonomous System Number (ASN) entries using various filters.
Authorizations
Private API key for user-level authentication.
Public API key for user-level authentication.
Query Parameters
Unique identifier of the ASN
Name associated with the ASN
Country identifier where the ASN is registered
Type of the ASN (e.g., hosting, isp, business, etc.)
Regional Internet Registry (RIR) associated with the ASN
Count of IP addresses associated with the ASN
Current number of online nodes in the ASN
Number of items per page for pagination
Page number for pagination
Key for sorting or random.
Response
Successful ASN search
Asn search was successful.
Array of Asn items matching the search criteria up to the limit of per_page paramater.
Show child attributes
Show child attributes
Total number of Asn items returned in the data field.
Status message for the search.
Current page number of the search results returned.
Number of Asn items returned per page.
Total of Asn items that match the search filter.

